Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005820OCamlCamlp4public2012-11-11 17:292013-08-18 04:27
Reporterhongboz 
Assigned Tohongboz 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.01.1+devFixed in Version 
Summary0005820: move_start_p in Lexing is wrong
Descriptionthe move_start_p want to unrolling some characters, but it does not have any side effect actually.
given a string input
"*)" it can only generate tokens "SYMBOL *".

the ocamllex manual does not say it can do unrolling, but I have a hack that will do this
        | "*)"
           { warn Comment_not_end (FanLoc.of_lexbuf lexbuf) ;
             (* move_start_p (-1) c; *)
             lexbuf.lex_curr_pos <- lexbuf.lex_curr_pos - 1;
             SYMBOL "*" }

Will anyone verify this problem? the move_start_p should be removed and applied such hacks to unroll
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0010176)
doligez (administrator)
2013-08-14 11:24

Evidence of the problem: this gives a warning with ocamlc, while camlp4o gives the warning, then a parse error (because the closing parenthesis has disappeared):

  ( *) 1;;
(0010182)
hongboz (developer)
2013-08-15 04:47

I thought I fixed the bug, it seems not, would get back to it later, thanks
(0010184)
hongboz (developer)
2013-08-18 04:27

Fixed in revision 14012.
This is a pretty safe fix, would you mind back port it to 4.01?

- Issue History
Date Modified Username Field Change
2012-11-11 17:29 hongboz New Issue
2013-06-28 17:28 doligez Status new => acknowledged
2013-07-11 18:05 doligez Target Version => 4.01.0+dev
2013-07-15 03:12 hongboz Assigned To => hongboz
2013-08-14 09:24 doligez Target Version 4.01.0+dev => 4.01.1+dev
2013-08-14 11:24 doligez Note Added: 0010176
2013-08-15 04:47 hongboz Note Added: 0010182
2013-08-18 04:27 hongboz Note Added: 0010184
2013-08-18 04:27 hongboz Status acknowledged => resolved
2013-08-18 04:27 hongboz Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker